Subject: bug#69550: closed (Re: bug#69550: smithforth: missing source (?))

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 20 Sep 2024 17:14:05 +0000

Your bug report

#69550: smithforth: missing source (?)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69550: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69550
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#69550: smithforth: missing source (?)
From: Simon Tournier <[email-masked]>
To: Christopher Howard <[email-masked]>
Cc: [email-masked]
Date: Fri, 20 Sep 2024 18:26:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On mar., 10 sept. 2024 at 09:37, Christopher Howard <[email-masked]> wrote:
> Simon Tournier <[email-masked]> writes:
>
>> Therefore, you can run:
>>
>> $ guix build smithforth --sources=all
>> /gnu/store/4w4v7zv4vif2k55g9srmv57fg5icpl94-SForth220711dmp.txt
>> /gnu/store/lvrkhx3yzjk58ma99vyp0blvr2whbvpr-system220711fs.txt
>>
>> However, this does not work as-is yet; you need
>> <https://issues.guix.gnu.org/73073>.
>>
>> Well, I think that’s not a bug.  WDYT?  Closing?

Since it’s not a bug, closing.

> My first thought would be to merge this bug into 73073, if that is
> possible, so folks looking at 73073 can see the connection to this
> report. 

I would prefer to not add to the already long thread. :-)

For future cross-reference, here details:

        [bug#73073] [PATCH 0/6] Allow origin with label as inputs.
        Simon Tournier <[email-masked]>
        Fri, 06 Sep 2024 17:51:14 +0200
        id:[email-masked]
        https://issues.guix.gnu.org/73073
        https://issues.guix.gnu.org/msgid/[email-masked]
        https://yhetil.org/guix/[email-masked]

Cheers,
simon

Subject: smithforth: missing source (?)
From: Christopher Howard <[email-masked]>
To: Bug Guix <[email-masked]>
Date: Mon, 4 Mar 2024 10:07:41 -0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, I think the smithforth package is nice addition to Guix. However, if I run the command to get the source...

``` guix build -S smithforth
/gnu/store/4w4v7zv4vif2k55g9srmv57fg5icpl94-SForth220711dmp.txt
```

...I only get the annotated header/opcode file. However, the forth system provided in the binary includes also the words defined here:

{https://dacvs.neocities.org/SF/system220711fs.txt}

It seems to me that `guix build -S' should return both these files in some form. Maybe in a tar file...?

``` guix show smithforth
name: smithforth
version: 220711
outputs:
+ out: everything
systems: x86_64-linux
dependencies: [email-masked]
location: gnu/packages/forth.scm:67:2
homepage: https://dacvs.neocities.org/SF/
license: Expat No Attribution
synopsis: Forth programming language for x86-64 desktop computers  
description: SmithForth is an implementation of the Forth programming language
+ for x86-64 desktop computers.  SmithForth is a text interpreter that runs in a
+ Linux text console.
```

``` guix describe
Generation 57	Mar 04 2024 06:56:57	(current)
  guix 9321cf7
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 9321cf7f51eb6dc3fe49d4302eed4e47a52284e2
```

-- 
📛 Christopher Howard
🚀 gemini://gem.librehacker.com
🌐 http://gem.librehacker.com

בראשית ברא אלהים את השמים ואת הארץ